/*
Тестировалось на Arduino IDE 1.8.5
Дата тестирования 03.04.2021г.
*/ 

#include <IRremote.h>                            // Подключаем библиотеку IRremote

const int RECV_PIN = 6;                          // Указываем к какому выводу подключен IN
IRrecv irrecv(RECV_PIN);
decode_results results;
int in1 = 2;                                     // Указываем вывод реле 1
int in2 = 3;                                     // Указываем вывод реле 2
int in3 = 4;                                     // Указываем вывод реле 3
int in4 = 5;                                     // Указываем вывод реле 4


void setup()
{
  irrecv.enableIRIn();
  irrecv.blink13(true);
  pinMode(in1, OUTPUT);                          
  pinMode(in2, OUTPUT);
  pinMode(in3, OUTPUT);
  pinMode(in4, OUTPUT);
  digitalWrite(in1, HIGH);
  digitalWrite(in2, HIGH);
  digitalWrite(in3, HIGH);
  digitalWrite(in4, HIGH);
  
  
  Serial.begin(9600);
}

void loop()
{
    if (irrecv.decode(&results))
    {
      switch(results.value)
      {
       case 0xFF30CF:                           // Кнопка "1"
       Serial.println ("Relay 1 - ON");
       digitalWrite(in1, LOW);
       }
      switch(results.value)
      {
       case 0xFF18E7:                           // Кнопка "2"
       Serial.println ("Relay 1 - OFF");
       digitalWrite(in1, HIGH);
       delay(500);
      }
      switch(results.value)
      {
       case 0xFF7A85:                           // Кнопка "3"
       Serial.println ("Relay 2 - ON");
      digitalWrite(in2, LOW);
      }
      switch(results.value)
      {
       case 0xFF10EF:                           // Кнопка "4"
       Serial.println ("Relay 1 - OFF");
      digitalWrite(in2, HIGH);
      }
      switch(results.value)
      {
       case 0xFF38C7:                           // Кнопка "5"
       Serial.println ("Relay 3 - ON");
      digitalWrite(in3, LOW);
      }
      switch(results.value)
      {
       case 0xFF5AA5:                           // Кнопка "6"
       Serial.println ("Relay 1 - OFF");
          digitalWrite(in3, HIGH);
      }
      switch(results.value)
      {
       case 0xFF42BD:                           // Кнопка "7"
       Serial.println ("Relay 4 - ON");
       digitalWrite(in4, LOW);
      }
      switch(results.value)
      {
       case 0xFF4AB5:                           // Кнопка "8"
       Serial.println ("Relay 1 - OFF");
      digitalWrite(in4, HIGH);
      }
      irrecv.resume(); 
    }
}
